/*
Libreria para la comunicacion con los sensores de Nintendo Wii: Wii Motion Plus y Wii Nunchuck
Escrita por Enrique Gonzalez Sancho, a 22 de agosto de 2014.
Con la ayuda de animes25 en instructables.com y de arduino.cc
*/

#ifndef WiiSensors_h
#define WiiSensors_h
#define LIBRARY_VERSION	1.0.0

#include "Arduino.h"

class WiiSensors
{
public:
  WiiSensors();
  void wmpOn();
  void wmpOff();
  void wmpSendZero();
  void calibrateZeroes();
  void receiveData();
  void nunchuck_init();
  void send_zero();
  void receiveNunchuckData();
  void make_nunchuck_data();
  void print();
  static char nunchuck_decode_byte(char);
  void receiveRaw();
  void switchToNunchuck();
  void switchToWmp();
  double yaw, pitch, roll; //three axes
  double yaw0, pitch0, roll0; //calibration zeroes and counter
  double accel_x_axis, accel_y_axis, accel_z_axis;
};

#endif




